package com.yiqi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.system.domain.SysDataGroup;
import org.apache.ibatis.annotations.Param;

/**
 * 组合数据Mapper接口
 *
 * @author douya
 * @date 2024-10-29
 */
public interface SysDataGroupMapper extends BaseMapper<SysDataGroup> {
    //<editor-folder desc="基础韩素">
    /**
     * 查询组合数据
     *
     * @param id 组合数据主键
     * @return 组合数据
     */
    public SysDataGroup selectSysDataGroupById(Integer id);

    /**
     * 查询组合数据列表
     *
     * @param sysDataGroup 组合数据
     * @return 组合数据集合
     */
    public List<SysDataGroup> selectSysDataGroupList(SysDataGroup sysDataGroup);

    /**
     * 新增组合数据
     *
     * @param sysDataGroup 组合数据
     * @return 结果
     */
    public int insertSysDataGroup(SysDataGroup sysDataGroup);

    /**
     * 修改组合数据
     *
     * @param sysDataGroup 组合数据
     * @return 结果
     */
    public int updateSysDataGroup(SysDataGroup sysDataGroup);

    /**
     * 删除组合数据
     *
     * @param id 组合数据主键
     * @return 结果
     */
    public int deleteSysDataGroupById(Integer id);

    /**
     * 批量删除组合数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysDataGroupByIds(Integer[] ids);


    SysDataGroup selectSysDataGroupByKey(@Param("key") String key);
}
